import { defineComponent } from "vue";
import { any } from "vue-types";
import { Text } from "../../basicUI/Text";
import { options } from "./options";

export const Cover = defineComponent({
  props: {
    value: any<typeof options.value>().isRequired,
  },
  setup(props) {
    return () => {
      return (
        <>
          <Text v-model={[props.value.title, "value"]} />
          <Text v-model={[props.value.desc, "value"]} />
        </>
      );
    };
  },
});
